- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

rt-server - RT standalone server

# SYNOPSIS

        # runs prefork server listening on port 8080, requires Starlet
        rt-server --port 8080

        # runs prefork server listening on port 8080 at /rt
        rt-server --port 8080 --webpath /rt

        # runs server listening on port 8080
        rt-server --server Standalone --port 8080
        # or
        standalone_httpd --port 8080

        # runs other PSGI server on port 8080
        rt-server --server Starman --port 8080

# DESCRIPTION

The `rt-server` utility uses Plack so you can pass through additional options described in the plackup documentation. For example, if you want to see server logs when developing, you can start the server like:

        sbin/rt-server --env development --access-log var/access.log

Log output will then go to var/access.log.

← Back to index